Subject: Re: bug#9328: 24.0.50; `browse-url-fireforx' creates 2 identical tabs

From: Vijay Lakshminarayanan <[email-masked]>
Date: Fri, 19 Aug 2011 10:34:22 +0530

[email-masked] writes:

> Hi,
>
> When using `browse-url-firefox', it creates 2 identical tabs.
>
> To reproduce:
>
> 1. emacs -q
> 2. Evaluate in *sctatch* buffer:
>
> (setq browse-url-browser-function 'browse-url-firefox
>       browse-url-new-window-flag  t
>       browse-url-firefox-new-window-is-tab t)

I encountered a similar bug yesterday when evaluating on the *scratch*
buffer.  I found that running C-M-x on a form on the *scratch* buffer
evaluated the form twice.  It occurred on my work machine and I'm unable
to reproduce the same on my home machine now.

Below is the code that I was playing with when facing the issue
yesterday

(defvar debug-counting 0)

(let ((url "http://en.wikipedia.org/wiki/Emacs")
      (url-request-method "GET"))
  (setq debug-counting 0)
  (url-retrieve url
                (lambda (status)
                  (kill-buffer)
                  (message "%d" (incf debug-counting)))
                nil))

I don't encounter the issue now but when I did, `debug-counting' would
increment twice and the url would be downloaded twice.

-- 
Cheers
~vijay

Gnus should be more complicated.